{
  "compilerOptions": {
    "target": "ESNext",
    "lib": [
      "dom",
      "dom.iterable",
      "esnext"
    ],
    "allowJs": true,
    "skipLibCheck": true,
    "strict": true,
    "noEmit": true,
    "esModuleInterop": true,
    "module": "commonjs",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "incremental": true,
    "baseUrl": ".",
    "plugins": [
      {
        "name": "next"
      }
    ],
    "paths": {
      "@src/*": [
        "./src/*"
      ],
      "@/db/*": [
        "./src/db/*"
      ],
      "@queries/*": [
        "./src/db/queries/*"
      ],
      "@schemas/*": [
        "./src/drizzle/schema/*"
      ],
      "@db/*": [
        "./src/db/*"
      ],
      "@types/*": [
        "./src/lib/types/*"
      ],
      "@components/*": [
        "./src/components/*",
        "./src/components/ui/*",
        "./src/components/Brands/*"
      ],
      "@actions/*": [
        "./src/actions/*"
      ],
      "@layouts/*": [
        "./src/components/layouts/*"
      ],
      "@fragments/*": [
        "./src/app/Fragments/*"
      ],
      "@lib/*": [
        "@lib/*",
        "./src/lib/*"
      ],
      "@styles/*": [
        "./src/styles/*"
      ],
      "scss/*": [
        "./src/scss/*"
      ],
      "admin/*": [
        "./src/components/Admin/*"
      ],
      "products/*": [
        "./src/components/Products/*"
      ]
    },
    "moduleResolution": "node"
  },
  "include": [
    "next-env.d.ts",
    "**/*.ts",
    "**/*.tsx",
    ".next/types/**/*.ts"
  ],
  "exclude": [
    "node_modules"
  ]
}
